html {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-moz-box-sizing: border-box;
    box-sizing: border-box;
    scroll-behavior: smooth;
    overflow-x: hidden;

    scroll-padding-top: 100px;
}
*,
*::before,
*::after {
    box-sizing: inherit;
}
ul {
    margin: 0;
    padding: 0;
}
li {
    list-style: none;
}
h1,
h2,
h3,
h4,
h5,
p {
    margin: 0;
}
:root {
    --soft-orange: #ffedd5;
    --hover-orange: #ff9e6d;

    /* --orangeElement: #ffe1c7; */
    --orangeElement: #f28a2e;
    --green: #2f7a3e;

    --mainBGColor: #fff;
}
body {
    font-family: 'Fira Sans', sans-serif;
    /* background-color: var(--mainBGColor); */
    /* background: linear-gradient(135deg, #f5f7fa 0%, #e4edf5 100%); */
    font-weight: 500;
    font-size: 24px;
    line-height: 1.2;
    margin: 0;
    overflow-x: hidden;
    position: relative;
    min-height: 100vh;
}

body::before {
    content: '';
    position: fixed;
    background-image: var(--bg_body);
    background-size: cover;
    width: 100%;
    height: 100%;
    inset: 0;
    background-repeat: no-repeat;
    opacity: 0.07;
    z-index: -100;
}

.container {
    max-width: 1280px;
    padding: 0 10px;
    margin: 0 auto;
}

/*   НАСТРОЙКА SCROLL-BAR   */
::-webkit-scrollbar {
    width: 0.3em;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: var(--orangeElement);
}

::-webkit-scrollbar-thumb:active {
    background-color: var(--orangeElement);
}

a {
    text-decoration: none;
}

/* .button1 {
    padding: 12px 20px;
    background-color: #2d7434;
    color: #111;
    border-radius: 12px;
    cursor: pointer;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    -ms-border-radius: 12px;
    -o-border-radius: 12px;
    font-size: 20px;
}
.button1:hover {
    background-color: var(--soft-orange);
} */

.wrap {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.button1 {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
    display: inline-flex;
    font-family: 'Nunito', sans-serif;
    font-size: 22px;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 1px;
    font-weight: 700;
    color: #fff;
    background: var(--green);
    border: none;
    border-radius: 1000px;
    cursor: pointer;
    outline: none;
    position: relative;
    padding: 10px 20px;
    overflow: hidden;
}

.button1::after {
    position: absolute;
    content: '';
    width: 10%;
    height: 100%;
    background-color: #fff;
    left: -30px;
    right: 0;
    transform: skew(-12deg);
    -webkit-transform: skew(-12deg);
    -moz-transform: skew(-12deg);
    -ms-transform: skew(-12deg);
    -o-transform: skew(-12deg);
    transition: none;
    opacity: 0.5;
    filter: blur(2px);
    -webkit-filter: blur(2px);
}

.button1:hover::after {
    left: calc(100% + 10px);
    transition: 0.2s all linear;
    -webkit-transition: 0.2s all linear;
    -moz-transition: 0.2s all linear;
    -ms-transition: 0.2s all linear;
    -o-transition: 0.2s all linear;
}

button,
a {
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

#toTopBtn {
    position: fixed;
    bottom: 28px;
    right: 28px;
    z-index: 10000;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--orangeElement);
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 52px;
    opacity: 0;
    height: 52px;
    font-size: 26px;
    cursor: pointer;
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.35);
    transition:
        opacity 0.3s ease,
        transform 0.3s ease;
    transform: translateY(100%);
    -webkit-transform: translateY(100%);
    -moz-transform: translateY(100%);
    -ms-transform: translateY(100%);
    -o-transform: translateY(100%);
}
#toTopBtn:hover {
    transform: translateY(-3px);
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.45);
}
#toTopBtn.show {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    transform: translateY(0);
    -webkit-transform: translateY(0);
    -moz-transform: translateY(0);
    -ms-transform: translateY(0);
    -o-transform: translateY(0);
}

#toTopBtn.hide {
    opacity: 0;
    transform: translateY(100%);
    -webkit-transform: translateY(100%);
    -moz-transform: translateY(100%);
    -ms-transform: translateY(100%);
    -o-transform: translateY(100%);
}

/* phone button */

#toTopBtn2 {
    position: fixed;
    bottom: 96px;
    right: 28px;
    z-index: 10000;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--green);
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 52px;
    opacity: 0;
    height: 52px;
    font-size: 26px;
    cursor: pointer;
    box-shadow: 0 6px 20px rgba(0, 0, 0, 0.35);
    transition:
        opacity 0.3s ease,
        transform 0.3s ease;
    transform: translateY(100%);
    -webkit-transform: translateY(100%);
    -moz-transform: translateY(100%);
    -ms-transform: translateY(100%);
    -o-transform: translateY(100%);
}
#toTopBtn2:hover {
    transform: translateY(-3px);
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.45);
}
#toTopBtn2.show {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    transform: translateY(0);
    -webkit-transform: translateY(0);
    -moz-transform: translateY(0);
    -ms-transform: translateY(0);
    -o-transform: translateY(0);
}

#toTopBtn2.hide {
    opacity: 0;
    transform: translateY(100%);
    -webkit-transform: translateY(100%);
    -moz-transform: translateY(100%);
    -ms-transform: translateY(100%);
    -o-transform: translateY(100%);
}
